Bug 251110 - Review Request: perl-IPC-Run3 - Run a subprocess in batch mode
Review Request: perl-IPC-Run3 - Run a subprocess in batch mode
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 251128
  Show dependency treegraph
 
Reported: 2007-08-07 04:03 EDT by Ralf Corsepius
Modified: 2010-07-30 15:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-06 19:14:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-08-07 04:03:32 EDT
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-IPC-Run3.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-IPC-Run3-0.037-1.fc7.src.rpm

Description: 
This module allows you to run a subprocess and redirect stdin, stdout,
and/or stderr to files and perl data structures. It aims to satisfy 99% of
the need for using system, qx, and open3 with a simple, extremely Perlish
API and none of the bloat and rarely used features of IPC::Run.



This package is a prerequisite of perl-Test-Script, which is a new prerequisite of perl-Test-Inline. 
Without perl-IPC-RUN3, upgrading/bug-fixing perl-Test-Inline is not possible.
Comment 1 Jason Tibbitts 2007-08-07 12:07:01 EDT
rpmlint complains about the license:
  W: perl-IPC-Run3 invalid-license GPL
  W: perl-IPC-Run3 invalid-license Artistic
"GPL" should be "GPL+" since the LICENSE file explicitly says "any version".  I
have no idea why rpmlint complains about Artistic but it should obviously be
ignored here.

Otherwise there are a couple of minor issues with this package; it would be nice
if they were fixed or documented but I don't think are blockers:

It looks like it has an executable (run3profpp) which could be installed to
/usr/bin, but it's your decision as to whether to install it or not.

One test is skipped because Test::Pod is not installed.  Generally you'd want
complete test coverage, but I don't think it's a blocker in this case as it's
only some checks of the documentation.  Still, I'd urge you to add the build
dependency so the whole test suite can run.

Since there are other tickets blocked on this one, I'll go ahead and approve
this and you can fix the license tag when you check in.

Review:
* source files match upstream:
   da7a829997fb8c2bf9389b016848aabb1ee946f6a57d69d492b74f31593392f2  
   IPC-Run3-0.037.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field needs "GPL+" bit.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (would use perl(Test::Pod) for better test coverage)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
X rpmlint has a valid complaint (license tag)
* final provides and requires are sane:
   perl(IPC::Run3) = 0.037
   perl(IPC::Run3::ProfArrayBuffer) = 0.030
   perl(IPC::Run3::ProfLogReader) = 0.030
   perl(IPC::Run3::ProfLogger) = 0.030
   perl(IPC::Run3::ProfPP) = 0.000
   perl(IPC::Run3::ProfReporter) = 0.000
   perl-IPC-Run3 = 0.037-1.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Exporter)
   perl(File::Temp)
   perl(IPC::Run3::ProfReporter)
   perl(POSIX)
   perl(constant)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful, 1 test skipped.
   Files=11, Tests=54,  0 wallclock secs ( 0.51 cusr +  0.42 csys =  0.93 CPU)
   The skipped test is due to a missing Test::Pod dependency and is not critical
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED; just change GPL to GPL+ in the license tag.
Comment 2 Ville Skyttä 2007-08-10 06:08:33 EDT
(In reply to comment #1)
> I have no idea why rpmlint complains about Artistic but it should obviously
> be ignored here.

The issue is a bit hairy as Artistic alone is not an acceptable license for
Fedora, but "GPL+ or Artistic" is.  There will be an update to rpmlint pretty
soon that should resolve this to some extent, but tibbs is correct, specifying
"GPL+ or Artistic" and ignoring the warning from rpmlint is correct for now.
Comment 3 Ralf Corsepius 2007-09-05 19:22:23 EDT
New Package CVS Request
=======================
Package Name: perl-IPC-RUN3
Short Description: Run a subprocess in batch mode (a la system)
Owners: rc0420203@freenet.de
Branches: FC-6 F-7
InitialCC: fedora-perl-devel-list@redhat.com
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2007-09-05 20:50:27 EDT
cvs done.
Comment 5 Ville Skyttä 2007-09-06 02:27:55 EDT
Hey, hold on, shouldn't the package name in CVS (and in the summary for this
review request for tools that operate on them) be perl-IPC-Run3, not perl-IPC-RUN3?
Comment 6 Ralf Corsepius 2007-09-06 02:37:03 EDT
(In reply to comment #5)
> Hey, hold on, shouldn't the package name in CVS (and in the summary for this
> review request for tools that operate on them) be perl-IPC-Run3, not
perl-IPC-RUN3?

You are right. tar ball's name is IPC-Run3, as well as the perl module is called
IPC3/Run3.
Comment 7 Ville Skyttä 2007-09-06 12:50:04 EDT
In that case, for CVS admins:

Package Change Request
======================
Package Name: perl-IPC-RUN3

Please rename to perl-IPC-Run3.
Comment 8 Toshio Ernie Kuratomi 2007-09-06 15:50:56 EDT
CVS done.
Comment 9 Ralf Corsepius 2007-09-06 19:14:54 EDT
(In reply to comment #8)
> CVS done.
Toshio, 

your renamer missed to alter the NAME inside of the <distro>/Makefile's. 
Don't know where else you and/or your pkgdb might have missed it.

imported, built, closing.
Comment 10 Ruediger Landmann 2010-07-27 11:57:28 EDT
Package Change Request
=======================
Package Name: perl-IPC-Run3
New Branches: EL-5
Owners: rlandmann
InitialCC: perl-sig

I have discussed this with Ralf Corsépius, the package owner, and he is happy
for me to maintain this branch.
Comment 11 Kevin Fenzi 2010-07-30 15:53:18 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.